Loading...
Searching...
No Matches
referencehelper.hh File Reference
`#include <type_traits>`
`#include <functional>`

Go to the source code of this file.

## Namespaces

namespace | Dune
| Dune namespace

## Typedefs

template<class T>
using | Dune::ResolveRef_t = std::remove_reference_t<decltype(Dune::resolveRef(std::declval<T&>()))>
| Type trait to resolve std::reference_wrapper.

## Functions

template<class T>
constexpr T & | Dune::resolveRef (T &gf) noexcept
| Helper function to resolve std::reference_wrapper.
template<class T>
const auto & | Dune::resolveRef (T &&gf)=delete
template<class T>
constexpr T & | Dune::resolveRef (std::reference_wrapper< T > gf) noexcept
| Helper function to resolve std::reference_wrapper.

## Variables

template<class T>
constexpr bool | Dune::IsReferenceWrapper_v = Impl::IsReferenceWrapper<T>::value
| Helper to detect if given type is a std::reference_wrapper.